"""
TXTree: A Visual Tool for PubMed Literature Exploration by Text Mining
Copyright (C) 2025 Diogo de Jesus Soares Machado, Roberto Tadeu Raittz

This file is part of TXTree.

TXTree is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

TXTree is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TXTree. If not, see <https://www.gnu.org/licenses/>.
"""

import pickle

def load_pickle(file_path):
    """
    Loads a pickle file and returns its content.

    This function opens a pickle file at the specified path and loads its
    content using the pickle module. The content can be any Python object
    that was previously serialized with pickle.

    Parameters:
        - file_path (str): Path to the pickle file to be loaded.

    Returns:
        - object: The Python object stored in the pickle file.
    """
    with open(file_path, 'rb') as handle:
        return pickle.load(handle)